MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Files | Data Structures | Variables
I2C

## Files
file | i2c.h
| Contains public interface to various functions related to the I2C object.

## Data Structures
struct | I2CISRC_BITS
union | I2CISRC_REG
struct | I2CIER_BITS
union | I2CIER_REG
struct | I2CSTR_BITS
union | I2CSTR_REG
struct | I2CMDR_BITS
union | I2CMDR_REG
struct | I2CEMDR_BITS
union | I2CEMDR_REG
struct | I2CPSC_BITS
union | I2CPSC_REG
struct | I2CFFTX_BITS
union | I2CFFTX_REG
struct | I2CFFRX_BITS
union | I2CFFRX_REG
struct | I2C_REGS

## Variables
volatile struct I2C_REGS | I2caRegs

## Detailed Description

## Data Structure Documentation

struct I2CISRC_BITS

Definition at line 59 of file i2c.h.

Data Fields
uint16_t | INTCODE:3 |
uint16_t | rsvd1:13 |

union I2CISRC_REG

Definition at line 64 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CISRC_BITS | bit |

struct I2CIER_BITS

Definition at line 71 of file i2c.h.

Data Fields
uint16_t | AAS:1 |
uint16_t | ARBL:1 |
uint16_t | ARDY:1 |
uint16_t | NACK:1 |
uint16_t | RRDY:1 |
uint16_t | rsvd:9 |
uint16_t | SCD:1 |
uint16_t | XRDY:1 |

union I2CIER_REG

Definition at line 82 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CIER_BITS | bit |

struct I2CSTR_BITS

Definition at line 89 of file i2c.h.

Data Fields
uint16_t | AAS:1 |
uint16_t | AD0:1 |
uint16_t | ARBL:1 |
uint16_t | ARDY:1 |
uint16_t | BB:1 |
uint16_t | NACK:1 |
uint16_t | NACKSNT:1 |
uint16_t | RRDY:1 |
uint16_t | RSFULL:1 |
uint16_t | rsvd1:2 |
uint16_t | rsvd2:1 |
uint16_t | SCD:1 |
uint16_t | SDIR:1 |
uint16_t | XRDY:1 |
uint16_t | XSMT:1 |

union I2CSTR_REG

Definition at line 107 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CSTR_BITS | bit |

struct I2CMDR_BITS

Definition at line 114 of file i2c.h.

Data Fields
uint16_t | BC:3 |
uint16_t | DLB:1 |
uint16_t | FDF:1 |
uint16_t | FREE:1 |
uint16_t | IRS:1 |
uint16_t | MST:1 |
uint16_t | NACKMOD:1 |
uint16_t | RM:1 |
uint16_t | rsvd1:1 |
uint16_t | STB:1 |
uint16_t | STP:1 |
uint16_t | STT:1 |
uint16_t | TRX:1 |
uint16_t | XA:1 |

union I2CMDR_REG

Definition at line 131 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CMDR_BITS | bit |

struct I2CEMDR_BITS

Definition at line 138 of file i2c.h.

Data Fields
uint16_t | BCM:1 |
uint16_t | rsvd1:15 |

union I2CEMDR_REG

Definition at line 143 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CEMDR_BITS | bit |

struct I2CPSC_BITS

Definition at line 150 of file i2c.h.

Data Fields
uint16_t | IPSC:8 |
uint16_t | rsvd1:8 |

union I2CPSC_REG

Definition at line 155 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CPSC_BITS | bit |

struct I2CFFTX_BITS

Definition at line 162 of file i2c.h.

Data Fields
uint16_t | I2CFFEN:1 |
uint16_t | rsvd1:1 |
uint16_t | TXFFIENA:1 |
uint16_t | TXFFIL:5 |
uint16_t | TXFFINT:1 |
uint16_t | TXFFINTCLR:1 |
uint16_t | TXFFRST:1 |
uint16_t | TXFFST:5 |

union I2CFFTX_REG

Definition at line 174 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CFFTX_BITS | bit |

struct I2CFFRX_BITS

Definition at line 181 of file i2c.h.

Data Fields
uint16_t | rsvd1:2 |
uint16_t | RXFFIENA:1 |
uint16_t | RXFFIL:5 |
uint16_t | RXFFINT:1 |
uint16_t | RXFFINTCLR:1 |
uint16_t | RXFFRST:1 |
uint16_t | RXFFST:5 |

union I2CFFRX_REG

Definition at line 191 of file i2c.h.

Data Fields
uint16_t | all |
struct I2CFFRX_BITS | bit |

struct I2C_REGS

Definition at line 198 of file i2c.h.

Data Fields
uint16_t | I2CCLKH |
uint16_t | I2CCLKL |
uint16_t | I2CCNT |
uint16_t | I2CDRR |
uint16_t | I2CDXR |
union I2CEMDR_REG | I2CEMDR |
union I2CFFRX_REG | I2CFFRX |
union I2CFFTX_REG | I2CFFTX |
union I2CIER_REG | I2CIER |
union I2CISRC_REG | I2CISRC |
union I2CMDR_REG | I2CMDR |
uint16_t | I2COAR |
union I2CPSC_REG | I2CPSC |
uint16_t | I2CSAR |
union I2CSTR_REG | I2CSTR |
uint16_t | rsvd2[19] |

## Variable Documentation

volatile struct I2C_REGS I2caRegs